name: Gitea Actions - Hugo Deploy
run-name: ${{ gitea.actor }} is deploying Hugo 🚀

on:
  push:
    branches:
      - main

jobs:
  Hugo-Deploy:
    runs-on: ubuntu-latest

    steps:
      - run: echo "🎉 Triggered by a ${{ gitea.event_name }} event."
      - run: echo "🐧 Running on ${{ runner.os }}."

      - name: Check out repository code
        uses: actions/checkout@v4
        with:
          submodules: true
          fetch-depth: 0

      - name: Setup Hugo
        uses: peaceiris/actions-hugo@v3
        with:
          hugo-version: "0.134.1"
          extended: true

      - name: Build Hugo site
        run: hugo --minify

      - name: Deploy to Ubuntu server via SCP
        uses: appleboy/scp-action@v0.1.7
        with:
          host: ${{ secrets.DEPLOY_HOST }}
          username: ${{ secrets.DEPLOY_USER }}
          key: ${{ secrets.DEPLOY_KEY }}
          source: "public/*"
          target: "/var/www/www-hahmann-trier-de/"
          strip_components: 1

      - name: Deployment Status
        run: echo "🍏 Deployment finished with status: ${{ job.status }}."